Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.auth
Class QueryStringSigner<T>

    java.lang.Object
      com.amazonaws.auth.QueryStringSigner<T>

All Implemented Interfaces:
  Signer<T>

    public class QueryStringSigner<T>

extends Object
implements Signer<T>

Signer implementation responsible for signing an AWS query string request according to the various signature versions and hashing algorithms.

Constructor Summary
`QueryStringSigner(AWSCredentials credentials)` Constructs a new QueryStringSigner to sign requests based on the specified service endpoint (ex: "s3.amazonaws.com") and AWS secret access key.

Method Summary
`void` | `sign(Request<T> request)` This signer will add "Signature" parameter to the request.
`void` | `sign(Request<T> request, SignatureVersion version, SigningAlgorithm algorithm)` This signer will add following authentication parameters to the request: AWSAccessKeyId SignatureVersion SignatureMethod Timestamp Signature

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryStringSigner

    public QueryStringSigner(AWSCredentials credentials)

  Constructs a new QueryStringSigner to sign requests based on the specified service endpoint (ex: "s3.amazonaws.com") and AWS secret access key.

  Parameters:
    `credentials` - AWS Credentials

Method Detail

### sign

    public void sign(Request<T> request)
              throws SignatureException

  This signer will add "Signature" parameter to the request. Default signature version is "2" and default signing algorithm is "HmacSHA256". AWSAccessKeyId SignatureVersion SignatureMethod Timestamp Signature

  Parameters:
    `request` - request to be signed.
  Throws:
    `SignatureException`

### sign

    public void sign(Request<T> request,
                     SignatureVersion version,
                     SigningAlgorithm algorithm)
              throws SignatureException

  This signer will add following authentication parameters to the request: AWSAccessKeyId SignatureVersion SignatureMethod Timestamp Signature

  Specified by:
    `sign` in interface `Signer<T>`
  Parameters:
    `request` - request to be signed.
    `version` - signature version. "2" is recommended.
    `algorithm` - signature algorithm. "HmacSHA256" is recommended.
  Throws:
    `SignatureException`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.